/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: J2WRLSharedEndpoint.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

package com.sun.ts.tests.jaxws.mapping.j2wmapping.rpc.literal.withoutannotations;

@javax.jws.WebService
@javax.jws.soap.SOAPBinding(
    style=javax.jws.soap.SOAPBinding.Style.RPC
)
public interface J2WRLSharedEndpoint {

    public java.lang.String arrayOperationFromClient(java.lang.String[] arg0) ;
    
    public com.sun.ts.tests.jaxws.mapping.j2wmapping.rpc.literal.withoutannotations.J2WRLSharedBean getBean() ;
    
    public java.lang.String[] arrayOperation() ;
    
    public java.lang.String stringOperation(java.lang.String arg0) ;
    
    public java.lang.String helloWorld() ;

    public void oneWayOperation() ;
}
